#
# Conditional build:
%bcond_with	tests		# unit tests (broken as of 1.0.1)

Summary:	Tool for managing your YubiKey configuration
Summary(pl.UTF-8):	Narzędzie do zarządzania urządzeniami YubiKey
Name:		yubikey-manager
Version:	4.0.7
Release:	1
License:	BSD
Group:		Applications/System
Source0:	https://developers.yubico.com/yubikey-manager/Releases/%{name}-%{version}.tar.gz
# Source0-md5:	a58eef7d34ebbf4405e82cb6e8069755
URL:		https://developers.yubico.com/yubikey-manager/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cryptography
BuildRequires:	python3-fido2 >= 0.9.0
BuildRequires:	python3-mock
BuildRequires:	python3-pyOpenSSL
BuildRequires:	python3-pyscard
BuildRequires:	python3-pyusb
BuildRequires:	python3-six
%endif
Requires:	python3-fido2 >= 0.9.0
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python library and command line tool for configuring a YubiKey.

%description -l pl.UTF-8
Pythonowa biblioteka i narzędzie linii poleceń do konfiguracji
urządzeń YubiKey.

%prep
%setup -q

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.adoc
%attr(755,root,root) %{_bindir}/ykman
%{py3_sitescriptdir}/ykman
%{py3_sitescriptdir}/yubikit
%{py3_sitescriptdir}/yubikey_manager-%{version}-py*.egg-info
%changelog
* Fri Sep 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yubikey-manager.git;a=log;h=master

* Thu Sep 09 2021 Jan Palus <atler@pld-linux.org> dd83550
- up to 4.0.7

* Sun Jul 18 2021 Jan Palus <atler@pld-linux.org> a04edac
- up to 4.0.5

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> 1b316f4
- fix pl description

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> d232708
- up to 4.0.3

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 1b61d76
- up to 4.0.2

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> dfa263e
- up to 4.0.1

* Wed Mar 03 2021 Jan Palus <atler@pld-linux.org> bc0fe9e
- up to 4.0.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 220cf32
- release 2 (by relup.sh)

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> f2460ce
- switch to python3

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> 6763655
- up to 3.1.2

* Wed Jan 29 2020 Jan Palus <atler@pld-linux.org> 1901a79
- up to 3.1.1

* Tue Aug 20 2019 Jan Palus <atler@pld-linux.org> b4a5016
- up to 3.1.0

* Mon Jun 24 2019 Jan Palus <atler@pld-linux.org> 701ffe2
- BR/R: python-fido2 >= 0.7.0 (for fido2.ctap2.CredentialManagement)

* Mon Jun 24 2019 Jan Palus <atler@pld-linux.org> f1957af
- up to 3.0.0

* Fri May 31 2019 Jan Palus <atler@pld-linux.org> ad8ea95
- up to 2.1.1

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> bd04091
- release 2 (by relup.sh)

* Tue Mar 12 2019 Jan Palus <atler@pld-linux.org> b4be8b3
- up to 2.1.0

* Wed Jan 09 2019 Jan Palus <atler@pld-linux.org> ccf5497
- up to 2.0.0

* Wed Dec 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 8bc9ddb
- more test BRs, don't duplicate autodetected dependencies in Requires

* Tue Dec 04 2018 Jan Palus <atler@pld-linux.org> 09bbde7
- up to 1.0.1

